  # Load the normal support files.
  require 'sketchup.rb'
  require 'extensions.rb'
  
  
  # Create the extension.
  ext = SketchupExtension.new 'multiple dimension tool',
      'mult_dim_tool/multiple_dimension_tool_loader.rb'

  # Attach some nice info.
  ext.creator     = 'glro'
  ext.version     = '1.0.1'
  ext.copyright   = '2014'
  ext.description = 'Multiple dimension tool! adds dimension between 11 points max in a row. Points must be in the same horizontal plan; they can follow any direction'

  # Register and load the extension on startup.
  Sketchup.register_extension ext, true
